# Interface JSVTreeNode

All Known Implementing Classes:
  `AwtTreeNode, SimpleTreeNode`

public interface JSVTreeNode

## Method Summary

Modifier and Type
Method
Description
`Enumeration`
`children()`
`int`
`getChildCount()`
`int`
`getIndex()`
`PanelNode`
`getPanelNode()`
`Object[]`
`getPath()`
`boolean`
`isLeaf()`
`void`
`setIndex(int index)`

## Method Details

### getChildCount

int getChildCount()

### getPath

Object[] getPath()

### isLeaf

boolean isLeaf()

### getPanelNode

PanelNode getPanelNode()

### children

Enumeration children()

### getIndex

int getIndex()

### setIndex

void setIndex(int index)